﻿using System.Windows;
using ViewModels;

namespace MVVMDemo
{
    public partial class CustomersView: Window
    {
        private CustomerViewModel _viewModel;
        
        public CustomersView()
        {
            InitializeComponent();
            _viewModel = new CustomerViewModel();
            base.DataContext = _viewModel;

            // We are adding a hood to the INotifyPropertyChanged.PropertyChanged event from the ViewModel
            // to demonstrate how our bound controls are notified of changes behind the scenes.
            // Please note that we can comment out this code and the application would not be affected.
            _viewModel.PropertyChanged += new System.ComponentModel.PropertyChangedEventHandler(_viewModel_PropertyChanged);
        }

        void _viewModel_PropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {
            System.Diagnostics.Debug.WriteLine("'" + e.PropertyName + "'" + " ViewModel property changed");
        }

        private void cmdExit_Click(object sender, RoutedEventArgs e)
        {
            _viewModel = null;
            this.Close();
        }

        private void dataGrid_RowSelectorClicked(object sender, Infragistics.Controls.Grids.RowSelectorClickedEventArgs e)
        {

            Infragistics.Controls.Grids.Row row = e.Row as Infragistics.Controls.Grids.Row;
            if (row != null)
            {
                BusinessObjects.Customer customer = row.Data as BusinessObjects.Customer;
                _viewModel.CurrentCustomer = customer;
            }

        }
        private void cmdSave_Click(object sender, RoutedEventArgs e)
        {
            _viewModel.SaveCustomers();
        }


    }
}